#include <math.h>
#include "config.h"

/*
#if HAVE_DISTINCT_LONG_DOUBLE
typedef long double my_long_double;
#else
typedef double my_long_double;
#endif
*/
typedef long double my_long_double;

#define XFUNC(name) \
int _d_gnu_cbridge_##name##l(my_long_double v) { return name(v); } \
int _d_gnu_cbridge_##name##d(double v) { return name(v); } \
int _d_gnu_cbridge_##name##f(float v) { return name(v); }

XFUNC(fpclassify)
XFUNC(signbit)

/* can add the others with config tests, buf for now,
   just use fpclassify */
